### Method

# FwupdPlugin Device get_children

since: 1.0.8

#### Declaration [src]

    GPtrArray*
    fu_device_get_children (
      FuDevice* self
    )

#### Description [src]

Gets any child devices. A child device is logically “below” the current device and this may be reflected in client tools.

Available since: 1.0.8

#### Return value

Type: An array of `FuDevice*`

Child devices.

The returned data is owned by the instance.